searchData={"items":[{"type":"module","title":"TowerDiscord","doc":"Simple post-to-Discord reporter for [Tower](`e:tower:Tower`) error handler.","ref":"TowerDiscord.html"},{"type":"module","title":"Example - TowerDiscord","doc":"config :tower, :reporters, [TowerDiscord]","ref":"TowerDiscord.html#module-example"},{"type":"extras","title":"TowerDiscord","doc":"# TowerDiscord\n\nError reporting to Discord.\n\nA simple post-to-Discord reporter for Tower error handler that sends formatted error messages to a Discord channel via webhooks.","ref":"readme.html"},{"type":"extras","title":"Installation - TowerDiscord","doc":"The package can be installed by adding `tower_discord` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tower_discord, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - TowerDiscord","doc":"Register the reporter with Tower:\n\n```elixir\n# config/config.exs\n\nconfig :tower, :reporters, [\n  # along with any other possible reporters\n  TowerDiscord\n]\n```\n\nAdd the Discord-specific configurations:\n\n```elixir\n# config/runtime.exs\n\nconfig :tower_discord,\n  webhook_url: System.get_env(\"TOWER_DISCORD_WEBHOOK_URL\"),\n  level: :error # Optional, defaults to :error\n```","ref":"readme.html#usage"},{"type":"extras","title":"Discord Webhook Setup - TowerDiscord","doc":"1. In your Discord server, go to Server Settings -> Integrations\n2. Click on \"Create Webhook\"\n3. Choose the channel where you want the error reports to appear\n4. Copy the Webhook URL and use it in your configuration\n\nThe reporter will format error messages with:\n- Error type and source location\n- Exception details\n- Stacktrace information\n- Hashtags for easy filtering (#tower_report #tower_type_[kind])","ref":"readme.html#discord-webhook-setup"},{"type":"extras","title":"Configuration Options - TowerDiscord","doc":"| Option | Required | Description | Default |\n|--------|----------|-------------|---------|\n| webhook_url | Yes | Discord webhook URL for message delivery | - |\n| level | No | Minimum level for reported events | :error |","ref":"readme.html#configuration-options"},{"type":"extras","title":"License - TowerDiscord","doc":"Copyright 2024 Your Name/Organization\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.1"}}